package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfApplicationDb;
import org.apache.ibatis.annotations.Mapper;

import com.blueland.bo.AppDatabaseEntity;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface AppDatabaseDao extends BaseMapper<TPfApplicationDb> {
    /**
     * 通过appId 删除数据
     */
    int deleteAppDatabaseByAppId(String appId);

    AppDatabaseEntity findList(@Param("bo") Map<String, Object> params);

    int batchDeleteByAppId(String[] appIds);

    List<AppDatabaseEntity> findListNew(@Param("bo") AppDatabaseEntity bo);

    Page<AppDatabaseEntity> findPage(@Param("page") Page<AppDatabaseEntity> page, @Param("bo") AppDatabaseEntity bo);

}
